Package Details: xdman 2020.7.2.10-1

Git Clone URL: https://aur.archlinux.org/xdman.git (read-only, click to copy)
Package Base: xdman
Description: Xtreme Download Manager is a powerful tool to increase download speed up-to 500%, save videos from video sharing sites and integration with ANY browser.
Upstream URL: https://subhra74.github.io/xdm/
Licenses: GPL
Submitter: M4rQu1Nh0S
Maintainer: changfeng
Last Packager: changfeng
Votes: 37
Popularity: 0.69
First Submitted: 2016-03-08 15:50
Last Updated: 2020-03-30 02:51

Latest Comments

1 2 3 Next › Last »

ivanfon commented on 2020-03-30 00:06

Sorry for the delay - this is a bit more complicated than some other packages, and I don't have much time, and I'm not using XDM anymore. For these reasons I've disowned the package, hopefully someone who has more experience with XDM will take over :)

Some things I wanted to do:

  • Use releases from Github (https://github.com/subhra74/xdm/releases/)
  • Maybe use just the .jar instead of the archive which comes with a bunch of other bundled dependencies (not sure how easy this is)
  • Remove the year from the version (i.e., 2020.7.2.10 -> 7.2.10)

changfeng commented on 2020-03-28 13:55

@leledumbo: Right, and now I added java-runtime>=11. For multiple java runtime you can use archlinux-java to set default java environment, or just put a file .xdmanrc at your home, with a variable called XDMAN_JAVA_HOME point to the java runtime home. Likes: ~/.xdmanrc

XDMAN_JAVA_HOME=/usr/lib/jvm/java-13-openjdk

leledumbo commented on 2020-03-28 09:09

@changfeng: I tried your PKGBUILD and got: $ xdman Picked up _JAVA_OPTIONS: -Dawt.useSystemAAFontSettings=on -Dswing.aatext=true -Dswing.defaultlaf=com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel Error: A JNI error has occurred, please check your installation and try again Exception in thread "main" java.lang.UnsupportedClassVersionError: xdman/Main has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0

Looks like I need newer Java version, could you add the minimum version requirement?

changfeng commented on 2020-03-27 01:23

I update it to 2020.7.2.10, you can get it from https://github.com/chang196700/xdman-aur.git

k0r0ng commented on 2020-03-25 21:11

I see the other packages that you maintain has all been updated, so @ivanfon can you update this package(xdman) too?

romjan1412 commented on 2020-03-25 17:50

XDM extension is currently disabled. Can't download anything, it asks for the latest version of xdman to be installed. I hope this will update soon.

sabitmaulanaa commented on 2020-03-20 06:19

xdm 2020 is coming. can't wait for it to be updated. long live XDM!!!

yuu commented on 2019-07-06 22:46

@erenseymen Thank you man. It's Working now :D

erenseymen commented on 2019-07-06 20:27

@yuu Update components https://imgur.com/xBhiNkK.png

yuu commented on 2019-07-06 14:24

I got this error. "Failed to append/convert file parts, please check if the drive is full or write protected". Help me lol.. storage not full. file name not long.